telnet_event_t(3)

NAME
telnet_event_t -

SYNOPSIS

#include <libtelnet.h>

  Data Structures
struct compress_t
struct data_t
struct environ_t
struct error_t
struct iac_t
struct mssp_t
struct negotiate_t
struct subnegotiate_t
struct ttype_t
struct zmp_t

  Data Fields
enum telnet_event_type_t type
Event type.
struct telnet_event_t::data_t data
struct telnet_event_t::error_t error
struct telnet_event_t::iac_t iac
struct telnet_event_t::negotiate_t neg
struct telnet_event_t::subnegotiate_t sub
struct telnet_event_t::zmp_t zmp
struct telnet_event_t::ttype_t ttype
struct telnet_event_t::compress_t compress
struct telnet_event_t::environ_t environ
struct telnet_event_t::mssp_t mssp

Detailed Description

event information

Field Documentation

  enum telnet_event_type_t telnet_event_t::type

Event type. The type field will determine which of the other event structure fields have been filled in. For instance, if the event type is TELNET_EV_ZMP, then the zmp event field (and ONLY the zmp event field) will be filled in.

Author

Generated automatically by Doxygen for My Project from the source code.